	//----------TUsers开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TUsers 
        /// </summary>
		[Table("TUsers")]
        public partial class TUsers: BaseEntity        {    
		                    /// <summary>
                /// 编号
                /// </summary>    
				
				[Display(Name="编号")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 帐号
                /// </summary>    
				
				[Display(Name="帐号")]   
								[Column("Account")]   
				[DataMember]  
			    public string Account  {get;set;}   
                                /// <summary>
                /// 密码
                /// </summary>    
				
				[Display(Name="密码")]   
								[Column("Password")]   
				[DataMember]  
			    public string Password  {get;set;}   
                                /// <summary>
                /// 姓名
                /// </summary>    
				
				[Display(Name="姓名")]   
								[Column("Name")]   
				[DataMember]  
			    public string Name  {get;set;}   
                                /// <summary>
                /// 手机号
                /// </summary>    
				
				[Display(Name="手机号")]   
								[Column("Phone")]   
				[DataMember]  
			    public string Phone  {get;set;}   
                                /// <summary>
                /// QQ号
                /// </summary>    
				
				[Display(Name="QQ号")]   
								[Column("QQ")]   
				[DataMember]  
			    public string QQ  {get;set;}   
                                /// <summary>
                /// 邮箱
                /// </summary>    
				
				[Display(Name="邮箱")]   
								[Column("Email")]   
				[DataMember]  
			    public string Email  {get;set;}   
                                /// <summary>
                /// 创建人编号
                /// </summary>    
				
				[Display(Name="创建人编号")]   
								[Column("CreateUser")]   
				[DataMember]  
			    public string CreateUser  {get;set;}   
                                /// <summary>
                /// 头像
                /// </summary>    
				
				[Display(Name="头像")]   
								[Column("Avatar")]   
				[DataMember]  
			    public string Avatar  {get;set;}   
                                /// <summary>
                /// 说明
                /// </summary>    
				
				[Display(Name="说明")]   
								[Column("Desc")]   
				[DataMember]  
			    public string Desc  {get;set;}   
                                /// <summary>
                /// 帐号权限1.系统管理员2.管理员4.自评打分管理员8.互评排序管理员16.日志打分管理员32.代码打分管理员64.卫生打分管理员128.额外奖惩管理员256.一般员工
                /// </summary>    
				
				[Display(Name="帐号权限1.系统管理员2.管理员4.自评打分管理员8.互评排序管理员16.日志打分管理员32.代码打分管理员64.卫生打分管理员128.额外奖惩管理员256.一般员工")]   
								[Column("Authority")]   
				[DataMember]  
			    public int Authority  {get;set;}   
                                /// <summary>
                /// 入职时间
                /// </summary>    
				
				[Display(Name="入职时间")]   
								[Column("EntryDate")]   
				[DataMember]  
			    public DateTime? EntryDate  {get;set;}   
                                /// <summary>
                /// 是否在职
                /// </summary>    
				
				[Display(Name="是否在职")]   
								[Column("IsOnJob")]   
				[DataMember]  
			    public bool IsOnJob  {get;set;}   
                                /// <summary>
                /// 离职时间
                /// </summary>    
				
				[Display(Name="离职时间")]   
								[Column("QuitDate")]   
				[DataMember]  
			    public DateTime? QuitDate  {get;set;}   
                                /// <summary>
                /// 帐号参与打分项1.自评打分2.互评排序4.日志打分8.代码打分16.卫生打分32.额外奖惩
                /// </summary>    
				
				[Display(Name="帐号参与打分项1.自评打分2.互评排序4.日志打分8.代码打分16.卫生打分32.额外奖惩")]   
								[Column("ScoringItem")]   
				[DataMember]  
			    public int ScoringItem  {get;set;}   
                                /// <summary>
                /// 积分
                /// </summary>    
				
				[Display(Name="积分")]   
								[Column("Points")]   
				[DataMember]  
			    public int Points  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TUsers 
            /// </summary>
            public class TUsersMap : EntityTypeConfiguration<TUsers>
			{
                public TUsersMap()
                {
					this.ToTable("TUsers");
												this.HasKey(t => t.ID);
													 this.Property(t => t.Account).HasColumnName("Account").IsRequired();
													 this.Property(t => t.Password).HasColumnName("Password").IsRequired();
													 this.Property(t => t.Name).HasColumnName("Name").IsRequired();
													 this.Property(t => t.Phone).HasColumnName("Phone");
													 this.Property(t => t.QQ).HasColumnName("QQ");
													 this.Property(t => t.Email).HasColumnName("Email");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUser).HasColumnName("CreateUser");
													 this.Property(t => t.Avatar).HasColumnName("Avatar");
													 this.Property(t => t.Desc).HasColumnName("Desc");
													 this.Property(t => t.Authority).HasColumnName("Authority").IsRequired();
													 this.Property(t => t.EntryDate).HasColumnName("EntryDate");
													 this.Property(t => t.IsOnJob).HasColumnName("IsOnJob").IsRequired();
													 this.Property(t => t.QuitDate).HasColumnName("QuitDate");
													 this.Property(t => t.ScoringItem).HasColumnName("ScoringItem").IsRequired();
													 this.Property(t => t.Points).HasColumnName("Points").IsRequired();
										}
			}**/

	}

	//----------TUsers结束----------

	